Subject: Re: bug#19505: 25.0.50; Defining a chomp function breaks electric pairing

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Jan 2015 15:14:08 -0500

> The attached patch fixes the situation where a function `chomp' exists
> and `electric-pair-skip-whitespace' has the value `chomp'.  Since that
> specific symbol is mentioned as a special case for this variable, it
> seems that it shouldn't try to call a function named as such.

Maybe a better option is to use the value `:chomp' instead of `chomp',
since defining a function `:chomp' should be considered an error anyway,

        Stefan